com.jogamp.common.util

## Class JogampVersion

- java.lang.Object
- - com.jogamp.common.util.JogampVersion

- Direct Known Subclasses:
    GlueGenVersion

      public class JogampVersion
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Attributes.Name` | `IMPLEMENTATION_BRANCH` See `getImplementationBranch()`
    `static Attributes.Name` | `IMPLEMENTATION_BUILD` See `getImplementationBuild()`
    `static Attributes.Name` | `IMPLEMENTATION_COMMIT` See `getImplementationCommit()`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JogampVersion(String packageName, Manifest mf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getAndroidPackageVersionName()`
    `String` | `getAttribute(Attributes.Name attributeName)`
    `String` | `getAttribute(String attributeName)`
    `Attributes.Name` | `getAttributeName(String attributeName)`
    `Set<?>` | `getAttributeNames()`
    `String` | `getExtensionName()`
    `StringBuilder` | `getFullManifestInfo(StringBuilder sb)`
    `String` | `getImplementationBranch()` Returns the SCM branch name
    `String` | `getImplementationBuild()` Returns the implementation build number, e.g.
    `String` | `getImplementationCommit()` Returns the SCM version of the last commit, e.g.
    `String` | `getImplementationTitle()`
    `String` | `getImplementationURL()`
    `String` | `getImplementationVendor()`
    `String` | `getImplementationVendorID()`
    `String` | `getImplementationVersion()` Returns the `IMPLEMENTATION_VERSION`.
    `Manifest` | `getManifest()`
    `StringBuilder` | `getManifestInfo(StringBuilder sb)`
    `String` | `getPackageName()`
    `String` | `getSpecificationTitle()`
    `String` | `getSpecificationVendor()`
    `String` | `getSpecificationVersion()`
    `int` | `hashCode()`
    `String` | `toString()`
    `StringBuilder` | `toString(StringBuilder sb)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IMPLEMENTATION_BUILD

          public static final Attributes.Name IMPLEMENTATION_BUILD

      See `getImplementationBuild()`

    - #### IMPLEMENTATION_BRANCH

          public static final Attributes.Name IMPLEMENTATION_BRANCH

      See `getImplementationBranch()`

    - #### IMPLEMENTATION_COMMIT

          public static final Attributes.Name IMPLEMENTATION_COMMIT

      See `getImplementationCommit()`

  - ### Constructor Detail

    - #### JogampVersion

          protected JogampVersion(String packageName,
                       Manifest mf)

  - ### Method Detail

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public final boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### getManifest

          public final Manifest getManifest()

    - #### getPackageName

          public final String getPackageName()

    - #### getAttribute

          public final String getAttribute(Attributes.Name attributeName)

    - #### getAttribute

          public final String getAttribute(String attributeName)

    - #### getAttributeName

          public final Attributes.Name getAttributeName(String attributeName)

    - #### getAttributeNames

          public final Set<?> getAttributeNames()

      Returns:
        set of type `Attributes.Name`, disguised as anonymous

    - #### getExtensionName

          public final String getExtensionName()

    - #### getImplementationBuild

          public final String getImplementationBuild()

      Returns the implementation build number, e.g. `2.0-b456-20130328`.

    - #### getImplementationBranch

          public final String getImplementationBranch()

      Returns the SCM branch name

    - #### getImplementationCommit

          public final String getImplementationCommit()

      Returns the SCM version of the last commit, e.g. git's sha1

    - #### getImplementationTitle

          public final String getImplementationTitle()

    - #### getImplementationVendor

          public final String getImplementationVendor()

    - #### getImplementationVendorID

          public final String getImplementationVendorID()

    - #### getImplementationURL

          public final String getImplementationURL()

    - #### getImplementationVersion

          public final String getImplementationVersion()

      Returns the `IMPLEMENTATION_VERSION`.

      E.g. `2.0.2-rc-20130328` for snapshots prior to `2.0.2` release and `2.0.2` for the upcoming release.

    - #### getAndroidPackageVersionName

          public final String getAndroidPackageVersionName()

    - #### getSpecificationTitle

          public final String getSpecificationTitle()

    - #### getSpecificationVendor

          public final String getSpecificationVendor()

    - #### getSpecificationVersion

          public final String getSpecificationVersion()

    - #### getFullManifestInfo

          public final StringBuilder getFullManifestInfo(StringBuilder sb)

    - #### getManifestInfo

          public StringBuilder getManifestInfo(StringBuilder sb)

    - #### toString

          public StringBuilder toString(StringBuilder sb)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`